import { select } from "../../../util";
import { testRespPersonType } from "../Types/RespPersonType";

const base = "/dcc:digitalCalibrationCertificate/dcc:administrativeData/dcc:respPersons";
const xpath = {
  respPerson: `${base}/dcc:respPerson`,
};
export const testRespPersonListType = () => {
  describe("RespPersonListType", () => {
    const { dom } = recreateEnv();

    const expectedRespPersons = <Element[]>select(xpath.respPerson, dom);
    for (let i = 0; i < expectedRespPersons.length; i++) {
      testRespPersonType(`${xpath.respPerson}[${i + 1}]`, (dcc) => dcc.digitalCalibrationCertificate.administrativeData.respPersons.respPerson[i]);
    }

    /* TODO: setters */
  });
};
